Bug 248157 - qdisk integration with watchdog daemon
Summary: qdisk integration with watchdog daemon
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman   
(Show other bugs)
Version: 5.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Marek Grac
QA Contact:
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-13 14:56 UTC by Lon Hohberger
Modified: 2009-04-16 22:40 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-04 11:15:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lon Hohberger 2007-07-13 14:56:25 UTC
Description of problem:

Qdisk does monitoring of external resources for a node in a cluster.  Of course,
so does the watchdog daemon.

The request is to allow qdisk to use the watchdog's internal status as the sole
heuristic for fitness for participation in the cluster - thereby reducing the
load as well as duplicate effort on the system.

Qdisk currently uses blind heuristics based on external means, which gives it
great flexibility.  The watchdog daemon uses internally-coded ones, which gives
it better operational capability in high-memory pressure or high-load situations.

Comment 1 Lon Hohberger 2007-07-24 14:07:13 UTC
This will require changes to the watchdog daemon.

Generally, what I'm after here is a way for other apps to read from the watchdog
daemon's internal state.

Comment 2 Lon Hohberger 2007-07-24 14:09:09 UTC
This functionality may already exist, however, the specifics are that it should
be a low-overhead method - like shared memory or something - so that we can be
as memory-neutral as possible (compared to a socket which allocates buffers, for
example).

Comment 3 Kiersten (Kerri) Anderson 2007-11-05 23:26:18 UTC
Moving this to 5.3 unless Marek has something ready.

Comment 6 Lon Hohberger 2008-09-04 11:15:23 UTC
This could be stabilizing to the watchdog daemon.

Comment 7 Lon Hohberger 2008-09-04 11:15:37 UTC
Er, destabilizing...


Note You need to log in before you can comment on or make changes to this bug.